/*
 * HealthcardIO - a library providing functionality for accessing healthcards
 *
 * Copyright (C) 2017  gematik - Gesellschaft für Telematikanwendungen der Gesundheitskarte mbH
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.gematik.security.tr03110;

import org.spongycastle.asn1.ASN1ObjectIdentifier;

/**
 * @author Ronald Koenig
 */
public class PaceObjectIdentifier extends ASN1ObjectIdentifier {
    //EGK
    public final static String ID_PACE_ECDH_GM_AES_CBC_CMAC_128 = "4.0.127.0.7.2.2.4.2.2";
    public final static String ID_PACE_ECDH_GM_AES_CBC_CMAC_192 = "4.0.127.0.7.2.2.4.2.3";
    public final static String ID_PACE_ECDH_GM_AES_CBC_CMAC_256 = "4.0.127.0.7.2.2.4.2.4";
    public final static byte[] BYTES_PACE_ECDH_GM_AES_CBC_CMAC_128 = new byte[]{4, 0, 127, 0, 7, 2, 2, 4, 2, 2};
    public final static byte[] BYTES_PACE_ECDH_GM_AES_CBC_CMAC_192 = new byte[]{4, 0, 127, 0, 7, 2, 2, 4, 2, 3};
    public final static byte[] BYTES_PACE_ECDH_GM_AES_CBC_CMAC_256 = new byte[]{4, 0, 127, 0, 7, 2, 2, 4, 2, 4};

    public PaceObjectIdentifier(ASN1ObjectIdentifier asn1ObjectIdentifier){
        super(asn1ObjectIdentifier.getId());
    }
}
